| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Properties | Private Attributes

# IG::Num::AnalysisResultsDto Class Reference

DTO (Data Transfer Objects) for storing contents of direct analysis request (in optimization problems). More...

Inheritance diagram for IG::Num::AnalysisResultsDto:
[legend]
Collaboration diagram for IG::Num::AnalysisResultsDto:
[legend]

List of all members.

## Public Member Functions
| AnalysisResultsDto ()
| Default constructor.
## Protected Member Functions
override void | CopyFromPlain (AnalysisResults anres)
| Copies data to the current DTO from an analysis results object.
override void | CopyToPlain (ref AnalysisResults anres)
| Copies data from the current DTO to an analysis results object.
## Protected Attributes
int | _errorCode = 0
string | _errorString = null
## Properties
virtual int | ErrorCode`[get, set]`
| Error code. 0 - everything is OK. negative value - something went wrong.
virtual String | ErrorString`[get, set]`
| Error string indicating what went wrong.
bool | CalculatedObjective`[get, set]`
| Flag indicating whether calculation of objective function is required or not.
bool | CalculatedConstraints`[get, set]`
| Flag indicating whether calculation of constraint functions is required or not.
bool | CalculatedObjectiveGradient`[get, set]`
| Flag indicating whether calculation of objective function gradient is required or not.
bool | CalculatedConstraintGradients`[get, set]`
| Flag indicating whether calculation of constraint function gradients is required or not.
bool | CalculatedObjectiveHessian`[get, set]`
| Flag indicating whether calculation of objective function Hessian is required or not.
bool | CalculatedConstraintHessians`[get, set]`
| Flag indicating whether calculation of constraint function Hessians is required or not.
Double | Objective`[get, set]`
| Value of the objective function.
double[] | Constraints`[get, set]`
VectorDtoBase | ObjectiveGradient`[get, set]`
| Gradient of the objective function.
VectorDtoBase[] | ConstraintGradients`[get, set]`
| Gradients of constraint functions.
MatrixDtoBase | ObjectiveHessian`[get, set]`
| Hessian of the objective function.
MatrixDtoBase[] | ConstraintHessians`[get, set]`
| Hessians of constraint functions.
## Private Attributes
bool | _calculatedObjective = true
bool | _calculatedConstraints = true
bool | _calculatedObjectiveGradient = false
bool | _calculatedConstraintGradients = false
bool | _calculatedObjectiveHessian = false
bool | _calculatedConstraintHessians = false
double | _objective
double[] | _constraints
VectorDtoBase | _objectiveGratient
VectorDtoBase[] | _constraintGradients
MatrixDtoBase | _objectiveHessian
MatrixDtoBase[] | _constraintHessians

## Detailed Description

DTO (Data Transfer Objects) for storing contents of direct analysis request (in optimization problems).

$A Igor Aug10;

## Constructor & Destructor Documentation

IG::Num::AnalysisResultsDto::AnalysisResultsDto | ( |  | ) | `[inline]`

Default constructor.

## Member Function Documentation

override void IG::Num::AnalysisResultsDto::CopyFromPlain | ( | AnalysisResults | anres | ) | `[inline, protected]`

Copies data to the current DTO from an analysis results object.

Parameters:

  anres | Analysis results object from which data is copied.

Reimplemented from IG::Num::AnalysisRequestDto.

override void IG::Num::AnalysisResultsDto::CopyToPlain | ( | ref AnalysisResults | anres | ) | `[inline, protected]`

Copies data from the current DTO to an analysis results object.

Parameters:

  anres | Analysis results object that data is copied to.

Reimplemented from IG::Num::AnalysisRequestDto.

## Member Data Documentation

int IG::Num::AnalysisResultsDto::_errorCode = 0`[protected]`

string IG::Num::AnalysisResultsDto::_errorString = null`[protected]`

bool IG::Num::AnalysisResultsDto::_calculatedObjective = true`[private]`

bool IG::Num::AnalysisResultsDto::_calculatedConstraints = true`[private]`

bool IG::Num::AnalysisResultsDto::_calculatedObjectiveGradient = false`[private]`

bool IG::Num::AnalysisResultsDto::_calculatedConstraintGradients = false`[private]`

bool IG::Num::AnalysisResultsDto::_calculatedObjectiveHessian = false`[private]`

bool IG::Num::AnalysisResultsDto::_calculatedConstraintHessians = false`[private]`

double IG::Num::AnalysisResultsDto::_objective`[private]`

double [] IG::Num::AnalysisResultsDto::_constraints`[private]`

VectorDtoBase IG::Num::AnalysisResultsDto::_objectiveGratient`[private]`

VectorDtoBase [] IG::Num::AnalysisResultsDto::_constraintGradients`[private]`

MatrixDtoBase IG::Num::AnalysisResultsDto::_objectiveHessian`[private]`

MatrixDtoBase [] IG::Num::AnalysisResultsDto::_constraintHessians`[private]`

## Property Documentation

virtual int IG::Num::AnalysisResultsDto::ErrorCode`[get, set]`

Error code. 0 - everything is OK. negative value - something went wrong.

virtual String IG::Num::AnalysisResultsDto::ErrorString`[get, set]`

Error string indicating what went wrong.

bool IG::Num::AnalysisResultsDto::CalculatedObjective`[get, set]`

Flag indicating whether calculation of objective function is required or not.

bool IG::Num::AnalysisResultsDto::CalculatedConstraints`[get, set]`

Flag indicating whether calculation of constraint functions is required or not.

bool IG::Num::AnalysisResultsDto::CalculatedObjectiveGradient`[get, set]`

Flag indicating whether calculation of objective function gradient is required or not.

bool IG::Num::AnalysisResultsDto::CalculatedConstraintGradients`[get, set]`

Flag indicating whether calculation of constraint function gradients is required or not.

bool IG::Num::AnalysisResultsDto::CalculatedObjectiveHessian`[get, set]`

Flag indicating whether calculation of objective function Hessian is required or not.

bool IG::Num::AnalysisResultsDto::CalculatedConstraintHessians`[get, set]`

Flag indicating whether calculation of constraint function Hessians is required or not.

Double IG::Num::AnalysisResultsDto::Objective`[get, set]`

Value of the objective function.

double [] IG::Num::AnalysisResultsDto::Constraints`[get, set]`

VectorDtoBase IG::Num::AnalysisResultsDto::ObjectiveGradient`[get, set]`

Gradient of the objective function.

VectorDtoBase [] IG::Num::AnalysisResultsDto::ConstraintGradients`[get, set]`

Gradients of constraint functions.

MatrixDtoBase IG::Num::AnalysisResultsDto::ObjectiveHessian`[get, set]`

Hessian of the objective function.

MatrixDtoBase [] IG::Num::AnalysisResultsDto::ConstraintHessians`[get, set]`

Hessians of constraint functions.

The documentation for this class was generated from the following file:

- AnalysisResultsDto.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events